# NeonBee Roadmap & Milestones

This document describes the current status, high level ideas / topics the NeonBee contributors agreed working on in future releases, epics / milestones and roadmap items.

**Please note:** This roadmap should provide you with a general idea of where the project is going and a high-level overview of features and capabilities which we plan adding in future, to give you an overview of what to expect. As we are an Open Source development the prioritization and timeline of the items is generally determined by the availability and the activities of all contributors. We try steering the project based on this high level roadmap, but depending on requirements of individual contributors new items or lower down roadmap items may be implemented first, without having any impact to the general statements here.

### Epic Overview

- [🌌 Open Source Vulp.x](#-open-source-vulp-x)
- [🌌 Road to Version 1.0](#-road-to-version-1-0)
- [🌌 Post 1.0 Era](#-post-1-0-era)


## 🌌 Open Source Vulp.x

### 📝 Epic Summary

NeonBee development started as a closed source development under the internal name Vulp.x (pre 0.2 era), with the intention of being open soured from the get-go. This epic is about the necessary steps releasing NeonBee open source on GitHub.com.

**🌟 Goal:** Release NeonBee Open Source to GitHub.com under the Eclipse Public License.

### 🚀 Milestones + Progress

**OPEN** 📉 3 / 4 milestones completed (75%) 📅 February 2021

| Status | 🚀 Milestone | [Types](https://www.conventionalcommits.org/) |
| :---: | :--- | --- |
| ✔️ | Improving all test bases and increase overall test coverage | `refactor` |
| ✔️ | Find a new name for Vulp.x and renaming to NeonBee | `chore`, `refactor` |
| ✔️ | Provide high level readme, license information, roadmap, etc. | `docs` |
| ❌ | Going through SAPs open source process and releasing to GitHub.com | `chore` |

## 🌌 Road to Version 1.0

### 📝 Epic Summary

At the time of open sourcing to GitHub.com, NeonBee at version 0.2 still has to be considered an immature framework, with many general purpose features missing to being used more broadly. This epic is all about features, function but also in a main part documentation, so that it can be more generally considered a framework to be used for many different use cases.

**🌟 Goal:** Provide a mature framework with a good set of documented features and engage with the Eclipse Foundation to release it.

### 🚀 Milestones + Progress

**NOT STARTED** 📉 0 / X milestones completed (0%) 📅 2022

| Status | 🚀 Milestone | [Types](https://www.conventionalcommits.org/) |
| :---: | :--- | --- |
| ❌ | [Response context / hints & data types](milestones/E1_MS01_response_context.md) | `feat` |
| ❌ | [Improve inter-verticle entity exchange](milestones/E1_MS02_entity_exchange.md) | `feat` |
| ❌ | [Improve error handling and logging](milestones/E1_MS03_error_handling.md) | `feat` |
| ❌ | [Full OASIS OData V4 support](milestones/E1_MS04_odata_support.md) | `feat` |
| ❌ | [New deployables concept](milestones/E1_MS05_new_deployables_concept.md) | `feat` |
| ❌ | [Configurable modular endpoints](milestones/E1_MS06_configurable_endpoints.md) | `feat`, `build` |
| ❌ | [Documentation and homepage](milestones/E1_MS07_documentation.md) | `docs` |
| ❌ | [Gradle build tooling](milestones/E1_MS08_build_tooling.md) | `build` |
| ❌ | [Admin console / administrative user interface](milestones/E1_MS09_admin_console.md) | `feat` |
| ❌ | [Other / smaller features & functions](milestones/E1_MS99_others.md) | `feat` |

## 🌌 Post 1.0 Era

### 📝 Epic Summary

General description of this Milestone Epic

**🌟 Goal:** TBD

### 🚀 Milestones + Progress

**NOT STARTED** 📉 0 / X milestones completed (0%) 📅 TBD

| Status | 🚀 Milestone | [Types](https://www.conventionalcommits.org/) |
| :---: | :--- | --- |
| ❌ | [Abstract cloud layer for Cloud Foundry + Kubernetes](milestones/E2_MS01_cloud_layers.md) | `feat` |
| ❌ | [(Global / Saga) Transactional support for entities](milestones/E2_MS02_transactions.md) | `feat` |
| ❌ | [OpenAPI endpoint, MicroMeter support / metrics](milestones/E2_MS03_openapi.md) | `feat` |
| ❌ | [Other / smaller features & functions](milestones/E2_MS99_others.md) | `feat` |